#nprogress {
	top: 0;
	left: 0;
	width: 100%;
	height: 2.5px;
	z-index: 9999;
	position: fixed;
	pointer-events: none
}

#nprogress .bar {
	height: 100%;
	background-color: var(--palette-primary-main);
	box-shadow: 0 0 2.5px var(--palette-primary-main)
}

#nprogress .peg {
	right: 0;
	opacity: 1;
	width: 100px;
	height: 100%;
	display: block;
	position: absolute;
	transform: rotate(3deg) translateY(-4px);
	box-shadow: 0 0 10px var(--palette-primary-main), 0 0 5px var(--palette-primary-main)
}

.simplebar-scrollbar:before {
	background-color: var(--palette-text-disabled)
}

.simplebar-scrollbar.simplebar-visible:before {
	opacity: .48
}

.mapboxgl-map {
	.mapboxgl-ctrl.mapboxgl-ctrl-group {
		border-radius: 8px;
		box-shadow: 0 8px 16px 0 rgba(var(--palette-grey-500Channel), .16)
	}

	.mapboxgl-ctrl.mapboxgl-ctrl-scale {
		border: none;
		color: white;
		font-weight: 700;
		line-height: 14px;
		border-radius: 4px;
		background-image: linear-gradient(90deg, #8a2387, #e94057, #f27121)
	}

	.mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon {
		transform: scale(.75)
	}

	.mapboxgl-ctrl-group button+button {
		border-top: 1px solid var(--palette-divider)
	}

	.mapboxgl-popup-content {
		padding: 8px;
		max-width: 180px;
		border-radius: 12px;
		background-color: var(--palette-background-paper);
		color: var(--palette-text-primary);
		box-shadow: 0 20px 40px -4px rgba(0, 0, 0, .16)
	}

	.mapboxgl-popup-tip {
		transform: translateY(-1px);
		border-top-color: var(--palette-background-paper)
	}

	.mapboxgl-popup-close-button {
		top: 4px;
		right: 4px;
		width: 24px;
		height: 24px;
		opacity: .48;
		font-size: 20px;
		border-radius: 50%;
		color: var(--palette-grey-500);
		transition: opacity .2s linear 0s;

		&:hover {
			opacity: 1
		}

		&:focus {
			outline: none
		}
	}

	.mapboxgl-ctrl .mapboxgl-ctrl-logo,
	.mapboxgl-ctrl-bottom-right {
		display: none
	}
}

.yarl__root {
	--yarl__thumbnails_thumbnail_padding: 0;
	--yarl__thumbnails_thumbnail_border: transparent;
	--yarl__color_backdrop: rgba(var(--palette-grey-900Channel)/0.9);
	--yarl__slide_captions_container_background: rgba(var(--palette-common-blackChannel)/0.32)
}

.yarl__slide_title {
	font-size: 20px;
	font-weight: 600
}

.yarl__slide_description {
	font-size: 14px
}

.yarl__button {
	filter: unset
}

.yarl__thumbnails_thumbnail {
	opacity: .48;
	border-radius: 10px;
	border-color: transparent
}

.yarl__thumbnails_thumbnail_active {
	opacity: 1;
	border-color: var(--palette-primary-main)
}

.yarl__thumbnails_vignette {
	--yarl__thumbnails_vignette_size: 0
}

.yarl__video_container {
	background: var(--palette-common-black)
}

.apexcharts-canvas {
	.apexcharts-tooltip {
		min-width: 80px;
		border-radius: 10px;
		backdrop-filter: blur(6px);
		color: var(--palette-text-primary);
		box-shadow: var(--customShadows-dropdown);
		background-color: rgba(var(--palette-background-defaultChannel)/.9)
	}

	.apexcharts-xaxistooltip {
		border-radius: 10px;
		border-color: transparent;
		backdrop-filter: blur(6px);
		color: var(--palette-text-primary);
		box-shadow: var(--customShadows-dropdown);
		background-color: rgba(var(--palette-background-defaultChannel)/.9);

		&:before {
			border-bottom-color: rgba(var(--palette-grey-500Channel)/.16)
		}

		&:after {
			border-bottom-color: rgba(var(--palette-background-defaultChannel)/.9)
		}
	}

	.apexcharts-tooltip-title {
		font-weight: 700;
		text-align: center;
		color: var(--palette-text-secondary);
		background-color: var(--palette-background-neutral)
	}

	.apexcharts-tooltip-series-group {
		padding: 4px 12px
	}

	.apexcharts-tooltip-marker {
		margin-right: 8px
	}

	.apexcharts-legend {
		padding: 0
	}

	.apexcharts-legend-marker {
		margin-right: 6px
	}

	.apexcharts-legend-text {
		margin-left: 0;
		padding-left: 0;
		line-height: 18px
	}
}

html {
	height: 100%;
	-webkit-overflow-scrolling: touch
}

#root,
#root__layout,
body {
	display: flex;
	flex: 1 1 auto;
	min-height: 100%;
	flex-direction: column
}

img {
	max-width: 100%;
	vertical-align: middle
}

ul {
	margin: 0;
	padding: 0;
	list-style-type: none
}

input[type=number] {
	-moz-appearance: textfield;
	appearance: none
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
	margin: 0;
	-webkit-appearance: none
}